Summary:	System administration tools for monitoring users' disk usage
Name:		quota
Version:	3.15
Release:	%mkrel 1
License:	BSD and GPLv2+
Group:		System/Configuration/Other
URL:		http://sourceforge.net/projects/linuxquota/
Source0:	http://prdownloads.sourceforge.net/linuxquota/%{name}-%{version}.tar.gz
Source1:	%{name}.bash-completion
Patch0:		quota-3.06-warnquota.patch
Patch1:		quota-3.06-no-stripping.patch
Patch2:		quota-3.06-man-page.patch
Patch3:		quota-3.06-pie.patch
Patch4:		quota-3.13-wrong-ports.patch
Patch5:		quota-3.15-manpages.patch
Patch50:	quota-tools-default-conf.patch
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext
BuildRequires:	tcp_wrappers-devel
Requires:	e2fsprogs
Requires:	initscripts >= 6.38
Requires:	tcp_wrappers
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The quota package contains system administration tools for monitoring and
limiting users' and or groups' disk usage, per filesystem.

Install quota if you want to monitor and/or limit user/group disk usage.

%prep

%setup -q -n quota-tools

%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifnarch ppc ppc64
%patch3 -p1
%endif
%patch4 -p1
%patch5 -p1

%patch50 -p1 -b .default-conf

%build
%serverbuild

%configure \
    --with-ext2direct=no \
    --enable-rootsbin 

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}/sbin
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/{man1,man2,man3,man8}

make install ROOTDIR=%{buildroot} \
             DEF_BIN_MODE=755 \
             DEF_SBIN_MODE=755 \
             DEF_MAN_MODE=644

install -m0644 warnquota.conf %{buildroot}%{_sysconfdir}
#
# we don't support XFS yet
#
rm -f %{buildroot}%{_sbindir}/quot
rm -f %{buildroot}%{_sbindir}/xqmstats
rm -f %{buildroot}%{_mandir}/man8/quot.*

%find_lang %{name}

# bash completion
install -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/bash_completion.d/%{name}
%config(noreplace) %{_sysconfdir}/warnquota.conf
%config(noreplace) %{_sysconfdir}/quotagrpadmins
%config(noreplace) %{_sysconfdir}/quotatab
/sbin/*
%{_bindir}/*
%{_sbindir}/*
%{_includedir}/rpcsvc/*
%{_mandir}/man?/*


%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.15-1mdv2008.1
+ Revision: 180933
- sync with fc9

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.14-3mdv2008.1
+ Revision: 152810
- remove useless kernel require
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.14-2mdv2007.0
+ Revision: 108839
- spec cleanup
- drop unused patches
- add bash completion

* Mon Dec 11 2006 Emmanuel Andry <eandry@mandriva.org> 3.14-1mdv2007.1
+ Revision: 94583
- New version 3.14
  bunzip patches
  drop patch 2
- Import quota

* Thu Jan 05 2006 Stefan van der Eijk <stefan@eijk.nu> 3.13-2mdk
- rebuild

* Wed Aug 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.13-1mdk
- 3.13
- fix summary-ended-with-dot
- %%mkrel

* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.12-1mdk
- 3.12
- sync with fedora

* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.10-1mdk
- 3.10
- synced with fedora
- misc spec file fixes

